org.eclipse.microprofile.metrics.tck.util

## Class ControlledInvocation

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.util.ControlledInvocation

    public class ControlledInvocation
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ControlledInvocation(BeanWithControlledInvocation bean)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start()` Start the invocation and synchronously wait until we are sure that the relevant metrics were updated.
`void` `stop()` Stop the invocation and synchronously wait until we are sure that the relevant metrics were updated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlledInvocation

    public ControlledInvocation(BeanWithControlledInvocation bean)

### Method Detail

#### start

    public void start()
               throws InterruptedException,
                      TimeoutException

Start the invocation and synchronously wait until we are sure that the relevant metrics were updated.

Throws:
  `InterruptedException`
  `TimeoutException`

#### stop

    public void stop()

Stop the invocation and synchronously wait until we are sure that the relevant metrics were updated.